%define desktop_file_utils_version 0.2.90
%define desktop_vendor fedora

# Use --without modular_x to rebuild without modular X deps
%define _modular_x 0%{!?_without_modular_x:1}

%if %{?fedora}%{!?fedora:7} >= 7
%define _opengl_wrapper 1
%else
%define _opengl_wrapper 0
%endif

Summary: 3D racing game featuring Tux
Name: extremetuxracer
Version: 0.4
Release: 1%{?dist}
License: GPLv2+
Group: Amusements/Games
URL: http://extremetuxracer.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: http://downloads.sourceforge.net/extremetuxracer/extremetuxracer-%{version}.tar.gz
Source1: etracer.desktop

Obsoletes: tuxracer <= 0.61
Obsoletes: ppracer <= 0.3.1

%if %_modular_x
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXi-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXt-devel
%else
BuildRequires: xorg-x11-devel
%endif
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: SDL-devel >= 1.2
BuildRequires: SDL_mixer-devel >= 1.2
BuildRequires: tcl-devel >= 8.4.9
#BuildRequires: autoconf
BuildRequires: freetype-devel
BuildRequires: libpng-devel
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}

%if %_opengl_wrapper
Requires: opengl-games-utils
%endif

%description
Extreme Tux Racer is an open-source downhill racing game starring Tux, the
Linux mascot.

%prep
%setup -q

%build
%configure --with-tcl=%{_libdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install

mkdir -p %{buildroot}%{_datadir}/pixmaps/
install -m 0644 etracericon.svg %{buildroot}%{_datadir}/pixmaps/

%if %_opengl_wrapper
ln -snf opengl-game-wrapper.sh %{buildroot}%{_bindir}/etracer-wrapper
sed 's:^Exec=\(.*\)$:Exec=\1-wrapper:g' < %{SOURCE1} > etracer.desktop
%else
cp -dpf %{SOURCE1} etracer.desktop
%endif

mkdir -p %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor %{desktop_vendor} --dir %{buildroot}%{_datadir}/applications \
    etracer.desktop

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root, 755)
%doc AUTHORS COPYING ChangeLog contrib
%{_bindir}/etracer
%if %_opengl_wrapper
%{_bindir}/etracer-wrapper
%endif
%{_datadir}/etracer
%{_datadir}/pixmaps/etracericon.svg
%{_datadir}/applications/%{desktop_vendor}-etracer.desktop

%changelog
* Wed Mar 05 2008 Nils Philippsen <nphilipp@redhat.com> 0.4-1
- Package Review (#436126):
  - remove BR: sed, zlib-devel
  - add BR: pkgconfig
  - use icon name without extension in desktop file

* Wed Mar 05 2008 manuel wolfshant <wolfy@fedoraproject.org>
- add --with-tcl=... to %%configure line

* Wed Mar 05 2008 Nils Philippsen <nphilipp@redhat.com> 0.4-0
- version 0.4
- initial packaging based on ppracer
